<?php

/**
 * @file
 * Sitemap theme functions.
 */

use Drupal\block\Entity\Block;

/**
 * Template_preprocess_sitemap_block_contents.
 */
function template_preprocess_sitemap_block_contents(array &$variables) {

  $block_load = Block::load('sitemapcontents');

  $fields_value = $block_load->get('settings')['sitemap_contents']['content_type'];

  foreach ($fields_value as $key => $value) {
    if ($fields_value[$key]['value']) {
      $variables['sitemapcontent'][$key]['content'] = _get_content_view($key, $key . '_sitemap');
      $variables['sitemapcontent'][$key]['title'] = $fields_value[$key]['toggle'];
    }
  }

}
